const events = require('events');
const { setTimeout } = require('timers/promises');
const server = require('http').createServer();

async function handle(req, res) {
    await setTimeout(200);
    res.end('Hello World');
}

async function bootstrap() {
    server.listen(8080);
    await events.once(server, 'listening')
    for await (const [req, res] of events.on(server, 'request')) {
        await handle(req, res);
    }
}

bootstrap();;